Loading...
Searching...
No Matches
Power Multiplexer
bladeRF2-specific API » Low-level accessors

## Description

## Enumerations

enum | bladerf_power_sources { BLADERF_UNKNOWN , BLADERF_PS_DC , BLADERF_PS_USB_VBUS }

## Functions

API_EXPORT int CALL_CONV | bladerf_get_power_source (struct bladerf *dev, bladerf_power_sources *val)

## Enumeration Type Documentation

## bladerf_power_sources

enum bladerf_power_sources

Power sources

Enumerator
BLADERF_UNKNOWN | Unknown; manual observation may be required
BLADERF_PS_DC | DC Barrel Plug
BLADERF_PS_USB_VBUS | USB Bus

Definition at line 380 of file bladeRF2.h.

## Function Documentation

## bladerf_get_power_source()

API_EXPORT int CALL_CONV bladerf_get_power_source | ( | struct bladerf * | dev,
|  | bladerf_power_sources * | val )

Get the active power source reported by the power multiplexer

Reference: http://www.ti.com/product/TPS2115A

Parameters

  | dev | Device handle
  [out] | val | Value read from power multiplexer

Returns
  0 on success, value from Error codes list on failure